Loading...
Searching...
No Matches
_addrxlat_op_ctl Struct Reference

Callback function pointers and data. More...

`#include <addrxlat.h>`

## Data Fields

addrxlat_ctx_t * | ctx
| Address translation context.
addrxlat_sys_t * | sys
| Address translation system.
addrxlat_op_fn * | op
| Operation callback.
void * | data
| Arbitrary callback data, passed to callback functions.
unsigned long | caps
| Operation capabilities.

## Detailed Description

Callback function pointers and data.

## Field Documentation

## caps

unsigned long _addrxlat_op_ctl::caps

Operation capabilities.

This is a bit mask of address spaces that can be processed by the operation callback. Bits are enumerated by addrxlat_addrspace_t (least significant bit first).

See also
  ADDRXLAT_CAPS

The documentation for this struct was generated from the following file:

- include/libkdumpfile/addrxlat.h